Nini Library API Reference - http://nini.sourceforge.net/ |

# IniSectionCollection Members

IniSectionCollection overview

#### Public Instance Constructors

IniSectionCollection Constructor | Initializes a new instance of the IniSectionCollection class.

#### Public Instance Properties

Count | Returns the number of sections in the collection.
IsSynchronized | Returns true if the collection is synchronized. This always returns false.
Item | Overloaded. Returns the section at the specified index.
SyncRoot | Returns the synchronization object.

#### Public Instance Methods

Add | Adds a new section to the collection.
CopyTo | Overloaded. Copies the collection to an array.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetEnumerator | Returns the enumerator object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type. GetHashCode is suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
Remove | Removes a section from the collection.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

IniSectionCollection Class | Nini.Ini Namespace